# Uses of Interface
java.nio.file.WatchEvent

Packages that use WatchEvent
Package
Description
java.nio.file
Defines interfaces and classes for the Java virtual machine to access files, file attributes, and file systems.

## Uses of WatchEvent in java.nio.file

Methods in java.nio.file that return types with arguments of type WatchEvent
Modifier and Type
Method
Description
`List<WatchEvent<?>>`
WatchKey.`pollEvents()`
Retrieves and removes all pending events for this watch key, returning a `List` of the events that were retrieved.